#
# spec file for package zsdx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zsdx
Version:        1.11.0
Release:        1.25
Summary:        Zelda Mystery of Solarus DX
License:        GPL-3.0 and CC-BY-SA-3.0 and SUSE-NonFree
Group:          Amusements/Games/RPG
Url:            http://www.solarus-games.org/games/zelda-mystery-of-solarus-dx/
Source:         https://github.com/christopho/zsdx/archive/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  zip
Requires:       solarus >= 1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Legend of Zelda: Mystery of Solarus DX is set to be a
direct sequel to The Legend of Zelda: A Link to the Past
on the SNES, using the same graphics and game mechanisms.
Zelda Mystery of Solarus DX is the first game made with
the Solarus engine and in fact, Solarus was primarily
designed for this game.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%cmake
make %{?_smp_mflags}

%install
cd build
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc readme.md license.txt changelog.txt
%{_bindir}/zsdx
%dir %{_datadir}/solarus/
%dir %{_datadir}/solarus/zsdx
%{_datadir}/solarus/zsdx/data.solarus

%changelog
* Mon Aug 14 2017 aloisio@gmx.com
- Update to version 1.11.0
  * Upgrade to Solarus 1.5.
  * Fix wrong layer when leaving dungeon 10.
  * Dungeon 2: Fix sound played twice when activating the statues.
  * Dungeon 9: fix geting back to room entrance when touching
    spikes.
  * English dialogs: rename Pegasus Shoes to Pegasus Boots.
* Sun May 15 2016 mailaender@opensuse.org
- clarify license and package documentation
* Sun May 15 2016 rpm@fthiessen.de
- Updated to 1.10.3
* Mon Nov 23 2015 flamesworld@gmail.com
- Updated to 1.10.2
* Wed Jul  2 2014 mailaender@opensuse.org
- initial packaging
